### Hierarchy

- DeepCopy<SimpleAccount>
  - SimpleAccount
    - Account

## Index

### Constructors

- constructor

### Properties

- nonce
- publicKey

### Methods

- copy
- deepCopyFromJson

## Constructors

### constructor

- new SimpleAccount(publicKey?: string, nonce?: number): SimpleAccount

- - Defined in repository/models/SimpleAccount.ts:6

  #### Parameters

  - ##### Default value publicKey: string = ""

  - ##### Default value nonce: number = 0

  #### Returns SimpleAccount

## Properties

### nonce

nonce: number = 0

- Defined in repository/models/SimpleAccount.ts:6

### publicKey

publicKey: string = ""

- Defined in repository/models/SimpleAccount.ts:5

## Methods

### copy

- copy(changeArgs?: JsonObject<SimpleAccount>): SimpleAccount

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:7

  #### Parameters

  - ##### Optional changeArgs: JsonObject<SimpleAccount>

  #### Returns SimpleAccount

### Protected deepCopyFromJson

- deepCopyFromJson(): SimpleAccount

- Inherited from DeepCopy.deepCopyFromJson

  - Defined in repository/models/DeepCopy.ts:18

  #### Returns SimpleAccount

Generated using TypeDoc